PHP-инклюдинг в phpXMLDOM

Дата публикации:
26.01.2007
Дата изменения:
26.01.2007
Всего просмотров:
2654
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
phpXMLDOM (phpXD) 0.x
Уязвимые версии: phpXMLDOM (phpXD) 0.3, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "path" в сценариях include/dom.php, include/dtd.php и include/parser.php. Удаленный пользователь может выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP. Пример:

http://[host]/[path]/include/dom.php?path=[file]

URL производителя: sourceforge.net/projects/phpxd

Решение: Способов устранения уязвимости не существует в настоящее время.

или введите имя

CAPTCHA